aboutsummaryrefslogtreecommitdiff
path: root/scripts/version-bump.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/version-bump.sh')
-rwxr-xr-xscripts/version-bump.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/scripts/version-bump.sh b/scripts/version-bump.sh
index 287580b..05fbf37 100755
--- a/scripts/version-bump.sh
+++ b/scripts/version-bump.sh
@@ -6,6 +6,7 @@
#
# -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
VERSION_FILE="include/tinyalsa/version.h"
+CHANGELOG_FILE="debian/changelog"
# -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
#
@@ -154,6 +155,21 @@ bump_version()
return 0
}
+check_version()
+{
+ get_version
+
+ LOG_VERSION=$(grep -m 1 "^tinyalsa (" ${CHANGELOG_FILE}| sed "s/[^0-9.]*//g")
+ REF_VERSION="${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}"
+
+ if [ "${LOG_VERSION}" != "${REF_VERSION}" ]; then
+ die "Changelog version (${LOG_VERSION}) does not match package version (${REF_VERSION})."
+ fi
+
+ printf "Changelog version (${LOG_VERSION}) OK!${LF}"
+ return 0
+}
+
# -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
#
# Command Line parsing
@@ -175,6 +191,10 @@ parse_command()
bump_version "$2"
exit $?
;;
+ check)
+ check_version
+ exit $?
+ ;;
*)
die "Unsupported action \"$1\"."
;;